DataTagged.cpp File Reference
`#include "Data.h"`
`#include "DataConstant.h"`
`#include "DataException.h"`
`#include "DataVectorOps.h"`
`#include "DataTagged.h"`
`#include <complex>`

## Namespaces

| escript

## Macros

#define | CHECK_FOR_EX_WRITE

## Macro Definition Documentation

## CHECK_FOR_EX_WRITE

#define CHECK_FOR_EX_WRITE

Referenced by escript::DataTagged::addTag(), escript::DataTagged::addTaggedValue(), escript::DataTagged::getDataByTagRW(), escript::DataTagged::getSampleDataByTag(), escript::DataTagged::getTypedVectorRW(), escript::DataTagged::getVectorRW(), escript::DataTagged::getVectorRWC(), escript::DataTagged::replaceNaN(), escript::DataTagged::setSlice(), escript::DataTagged::setTaggedValue(), and escript::DataTagged::setToZero().